<#assign base=request.contextPath />

<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>

<style type="text/css">
    /**让所有的模态对话框都居中*/

    .am-modal.am-modal-prompt.am-modal-active {
        transform: translate(-50%, -50%) scale(1);
        left: 50%;
        top: 50%;
        margin-left: 0;
        margin-top: 0!important;
    }

    select[readonly] option {
        display: none;
    }
    input[readonly]{
        background-color: #eee;
    }

    .am-btn-danger {
        color: #f00;
    }

    .huanhang{
    // 表格自动换行
    table-layout:fixed;
        word-break:break-all
    }

</style>

<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div style="word-wrap:break-word; word-break:break-all; " class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目预算表</strong> / <small>${project.name}</small></div>
        </div>

<form method="post" class="am-form" id="pmsForm" action="${base}/project/budgetEditSave">
    <!--选项卡（tabs）begin-->
    <div class="am-tabs am-margin" data-am-tabs>
        <ul class="am-tabs-nav am-nav am-nav-tabs">
            <li class="am-active"><a href="#tab1">项目基本信息</a></li>
            <li><a href="#tab2">项目其他信息</a></li>
            <li><a href="#tab3">收入明细表</a></li>
            <li><a href="#tab4">采购成本明细表</a></li>
            <li><a href="#tab5">项目管理成本表</a></li>
            <li><a href="#tab6">资金计划表</a></li>
            <li><a href="#tab7">项目预算信息</a></li>
        </ul>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in am-active" id="tab1">
            <input name="id" id="id" type="hidden" value="${project.id}" />
            <input name="projectContributionProfitRateThreshold" id="projectContributionProfitRateThreshold" type="hidden" value="${Utils.format(project.projectContributionProfitRateThreshold)}" />
                <!--验证表单元素（validate) begin-->

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>部门名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <span>${project.deptName!}</span>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目编号</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" id="projectNo" class="am-input" data-validate-async data-validation-message="请输入项目编号（50字符以内）"
                               name="projectNo" placeholder="请输入项目编号（50字符以内）" maxlength="50"
                               value="${project.projectNo!}" required readonly />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入项目名称（1000字符以内）"
                               name="name" placeholder="请输入项目名称（1000字符以内）" maxlength="1000" id="name"
                               value="${project.name!}" required/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目类型</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="type" name="type">
                            <option value="1" <#if project.type=1>selected</#if>>工程集成类</option>
                            <option value="2" <#if project.type=2>selected</#if>>设备集成类</option>
                            <#--                            <option value="3" <#if project.type=3>selected</#if>>战略合作类</option>-->
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目计划开始时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="startDate"
                                   name="startDate" autocomplete="off"
                                   value="${(project.startDate?string("yyyy-MM-dd"))!}" placeholder="项目计划开始时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目计划结束时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="endDate"
                                   name="endDate" autocomplete="off"
                                   value="${(project.endDate?string("yyyy-MM-dd"))!}" placeholder="项目计划结束时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资模式</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="underwrittenMode" name="underwrittenMode" onchange="changeCheck()">
                            <option value="1" <#if project.underwrittenMode=1>selected</#if>>A类-不垫资（战略合作）</option>
                            <option value="2" <#if project.underwrittenMode=2>selected</#if>>B类-不垫资（背靠背）</option>
                            <option value="3" <#if project.underwrittenMode=3>selected</#if>>C类-垫资（账期覆盖）</option>
                            <option value="4" <#if project.underwrittenMode=4>selected</#if>>D类-垫资（账期不覆盖）</option>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top" id="coop" <#if project.underwrittenMode! != 1>hidden</#if>>
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>合作对象</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入合作对象"
                               name="collaborator" id="collaborator" placeholder="请输入合作对象" maxlength="20"
                               value="${project.collaborator!}" />
                    </div>

                    <div class="am-form-file am-text-xs">
                        <button type="button" class="am-btn am-btn-primary am-btn-sm">
                            <i class="am-icon-cloud-upload"></i> 上传附件
                        </button>
                        <input id="file_upload_icon" type="file" name="files[]" >
                        <span id="collaboratorUrl_span">${project.collaboratorUrl!}</span>
                        <input id="collaboratorUrl" name="collaboratorUrl" type="hidden" value="${project.collaboratorUrl!}"/>
                    </div>
                    <!-- The global progress bar -->
                    <div id="progress-area-icon" class="am-margin-top-sm am-hide">
                        <div id="progress-text-icon" class="am-text-xs am-text-right"></div>
                        <div id="progress" class="am-progress am-progress-xs">
                            <div class="am-progress-bar" style="width: 0%"></div>
                        </div>
                    </div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资利息</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input number" data-validate-async data-validation-message="请输入垫资利息"
                               name="advanceInterestAmount" placeholder="单位（元）" maxlength="16" id="advanceInterestAmount"
                               value="${Utils.format(project.advanceInterestAmount)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资峰值</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input number" data-validate-async data-validation-message="请输入垫资峰值"
                               name="advancePeakAmount" placeholder="单位（元）" maxlength="16" id="advancePeakAmount"
                               value="${Utils.format(project.advancePeakAmount)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>合同金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="number am-input" data-validate-async data-validation-message="请输入合同金额"
                               name="contractAmount" placeholder="单位（元）" maxlength="20" id="contractAmount"
                               value="${Utils.format(project.contractAmount)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目毛利</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="number am-input" data-validate-async data-validation-message="请输入项目毛利"
                               name="grossProfit" id="grossProfit" placeholder="单位（元）" maxlength="16"
                               value="${Utils.format(project.grossProfit)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目毛利率</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="number am-input" data-validate-async data-validation-message="请输入项目毛利率"
                               name="grossProfitMargin" id="grossProfitMargin" placeholder="单位（%）" maxlength="16"
                               value="${Utils.format(project.grossProfitMargin)}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>汇智产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="number am-input" data-validation-message="请输入汇智产品金额"
                               name="huizhiProductAmount" placeholder="单位（元）" maxlength="20" id="huizhiProductAmount"
                               value="${Utils.format(project.huizhiProductAmount, "0.00")}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>华智产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="number am-input" data-validation-message="华智产品金额"
                               name="huazhiProductAmount" placeholder="单位（元）" maxlength="20" id="huazhiProductAmount"
                               value="${Utils.format(project.huazhiProductAmount, "0.00")}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>


                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>华三产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="number am-input" data-validation-message="华三产品金额"
                               name="huasanProductAmount" placeholder="单位（元）" maxlength="20" id="huasanProductAmount"
                               value="${Utils.format(project.huasanProductAmount, "0.00")}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>其他产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="number am-input" data-validation-message="请输入其他产品金额"
                               name="ziguangOtherAmount" placeholder="单位（元）" maxlength="20" id="ziguangOtherAmount"
                               value="${Utils.format(project.ziguangOtherAmount, "0.00")}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目把握度</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="certainty" name="certainty">
                            <#if project.certainty??>
                                <option value="1" <#if project.certainty=1>selected</#if>>A：基本确定中标，待签合同，合同签订中</option>
                                <option value="2" <#if project.certainty=2>selected</#if>>B：客户产品参数、商务评分、商务资质引导成功</option>
                                <option value="3" <#if project.certainty=3>selected</#if>>C：项目初期引导阶段</option>
                            <#else>
                                <option value="1" >A：基本确定中标，待签合同，合同签订中</option>
                                <option value="2" >B：客户产品参数、商务评分、商务资质引导成功</option>
                                <option value="3" >C：项目初期引导阶段</option>
                            </#if>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>行业场景应用</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入行业场景应用"
                               name="industryScenario" placeholder="请输入行业场景应用" maxlength="20" id="industryScenario"
                               value="${project.industryScenario!}" required/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目解决方案</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="resolvePlan" name="resolvePlan">
                            <#if project.resolvePlan??>
                                <option value="1" <#if project.resolvePlan=1>selected</#if>>公共服务(智慧交通、雪亮工程、治安防控体系等)</option>
                                <option value="2" <#if project.resolvePlan=2>selected</#if>>泛行业(智慧园区、智慧医疗、智慧工地等)</option>
                                <option value="3" <#if project.resolvePlan=3>selected</#if>>其他生态</option>
                            <#else>
                                <option value="1" >公共服务(智慧交通、雪亮工程、治安防控体系等)</option>
                                <option value="2" >泛行业(智慧园区、智慧医疗、智慧工地等)</option>
                                <option value="3" >其他生态</option>
                            </#if>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>客户名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入客户名称（1000字符以内）"
                               name="customer" placeholder="请输入客户名称（1000字符以内）" maxlength="1000" id="customer"
                               value="${project.customer!}" required/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>终端客户名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入终端客户名称（1000字符以内）"
                               name="terminalCustomer" placeholder="请输入终端客户名称（1000字符以内）" maxlength="1000" id="terminalCustomer"
                               value="${project.terminalCustomer!}" required/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>


                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>价值及风险</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <textarea rows="5" cols="20" id="valueRisk" name="valueRisk" maxlength="1000"
                                  class="am-input" data-validate-async data-validation-message="请输入价值及风险"
                                  placeholder="请输入价值及风险" required
                        >${project.valueRisk!}</textarea>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

            </div>
            <!--验证表单元素（validate end-->
        </div>

        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab2">

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">项目负责人</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" id="principal" class="am-input" data-validate-async data-validation-message="请输入项目负责人"
                               name="principal" placeholder="请输入项目负责人" maxlength="20"
                               value="${project.principal!}" />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">预计合同签订时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="contractTime"
                                   name="contractTime" autocomplete="off"
                                   value="${(project.contractTime?string("yyyy-MM-dd"))!}" placeholder="预计合同签订时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">项目计划招标时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="bidsTime"
                                   name="bidsTime" autocomplete="off"
                                   value="${(project.bidsTime?string("yyyy-MM-dd"))!}" placeholder="项目计划招标时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">是否二次合作</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="isSecond" name="isSecond">
                            <#if project.isSecond??>
                                <option value="-1" ></option>
                                <option value="1" <#if project.isSecond=1>selected</#if>>是</option>
                                <option value="2" <#if project.isSecond=2>selected</#if>>否</option>
                            <#else>
                                <option value="-1" ></option>
                                <option value="1" >是</option>
                                <option value="2" >否</option>
                            </#if>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">签单方式</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="signType" name="signType">
                            <#if project.signType??>
                                <option value="-1" ></option>
                                <option value="1" <#if project.signType=1>selected</#if>>紫光汇智直接投标</option>
                            <#else>
                                <option value="-1" ></option>
                                <option value="1" >紫光汇智直接投标</option>
                            </#if>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>


                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">主合同收款条款</div>
                    <div class="am-u-sm-6 am-u-md-6">
                                <textarea rows="3" cols="20" id="mainContractCollectionTerms" name="mainContractCollectionTerms" maxlength="1000"
                                          class="am-input" data-validate-async data-validation-message="请输入收款条款"
                                          placeholder="请输入收款条款"
                                >${project.mainContractCollectionTerms!}</textarea>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">主合同具体解决方案</div>
                    <div class="am-u-sm-6 am-u-md-6">
                                <textarea rows="3" cols="20" id="mainContractResolvePlan" name="mainContractResolvePlan" maxlength="1000"
                                          class="am-input" data-validate-async data-validation-message="请输入具体解决方案"
                                          placeholder="请输入具体解决方案"
                                >${project.mainContractResolvePlan!}</textarea>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right">计收计划</div>
                    <div class="am-u-sm-6 am-u-md-6">
                                <textarea rows="3" cols="20" id="calculationCollection" name="calculationCollection" maxlength="1000"
                                          class="am-input" data-validate-async data-validation-message="按照开票金额及时间罗列计收计划"
                                          placeholder="按照开票金额及时间罗列计收计划"
                                >${project.calculationCollection!}</textarea>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
            </div>
        </div>
<#--                <span>收入</span>-->
<#--                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                    <tbody>-->
<#--                    <tr>-->
<#--                        <td>类别</td>-->
<#--                        <td>费用</td>-->
<#--                        <td>含税金额（元）</td>-->
<#--                        <td>不含税金额（元）</td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>收入</td>-->
<#--                        <td>设备类</td>-->
<#--                        <td><input type="text" class="number" name="incomeDeviceTaxInclude1" value="${Utils.format(estimateBean.incomeDeviceTaxInclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="incomeDeviceTaxExclude1" value="${Utils.format(estimateBean.incomeDeviceTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>收入</td>-->
<#--                        <td>工程类</td>-->
<#--                        <td><input type="text" class="number" name="incomeEngineerTaxInclude1" value="${Utils.format(estimateBean.incomeEngineerTaxInclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="incomeEngineerTaxExclude1" value="${Utils.format(estimateBean.incomeEngineerTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>收入</td>-->
<#--                        <td>服务类</td>-->
<#--                        <td><input type="text" class="number" name="incomeServiceTaxInclude1" value="${Utils.format(estimateBean.incomeServiceTaxInclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="incomeServiceTaxExclude1" value="${Utils.format(estimateBean.incomeServiceTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>合计</td>-->
<#--                        <td></td>-->
<#--                        <td><input type="text" class="number" name="incomeTotalTaxInclude1" value="${Utils.format(estimateBean.incomeTotalTaxInclude)}" readonly readonly title="此列累计"></td>-->
<#--                        <td><input type="text" class="number" name="incomeTotalTaxExclude1" value="${Utils.format(estimateBean.incomeTotalTaxExclude)}" readonly readonly title="此列累计"></td>-->
<#--                    </tr>-->
<#--                    </tbody>-->
<#--                </table>-->
<#--                <span>成本</span>-->
<#--                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                    <tbody>-->
<#--                    <tr>-->
<#--                        <td>类别</td>-->
<#--                        <td>费用</td>-->
<#--                        <td>费用项目</td>-->
<#--                        <td>含税金额（元）</td>-->
<#--                        <td>不含税金额（元）</td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>成本</td>-->
<#--                        <td>采购成本</td>-->
<#--                        <td>设备</td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseDeviceTaxInclude1" value="${Utils.format(estimateBean.costPurchaseDeviceTaxInclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseDeviceTaxExclude1" value="${Utils.format(estimateBean.costPurchaseDeviceTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>成本</td>-->
<#--                        <td>采购成本</td>-->
<#--                        <td>施工</td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseBuildTaxInclude1" value="${Utils.format(estimateBean.costPurchaseBuildTaxInclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseBuildTaxExclude1" value="${Utils.format(estimateBean.costPurchaseBuildTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>成本</td>-->
<#--                        <td>采购成本</td>-->
<#--                        <td>服务</td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseServiceTaxInclude1" value="${Utils.format(estimateBean.costPurchaseServiceTaxInclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseServiceTaxExclude1" value="${Utils.format(estimateBean.costPurchaseServiceTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>成本</td>-->
<#--                        <td>采购成本</td>-->
<#--                        <td>其他</td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseOtherTaxInclude1" value="${Utils.format(estimateBean.costPurchaseOtherTaxInclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="costPurchaseOtherTaxExclude1" value="${Utils.format(estimateBean.costPurchaseOtherTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>成本</td>-->
<#--                        <td>项目管理成本</td>-->
<#--                        <td>项目管理成本</td>-->
<#--                        <td><input type="text" class="number" name="costProjectManageTaxInclude1" value="${Utils.format(estimateBean.costProjectManageTaxExclude)}" required readonly></td>-->
<#--                        <td><input type="text" class="number" name="costProjectManageTaxExclude1" value="${Utils.format(estimateBean.costProjectManageTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>成本</td>-->
<#--                        <td>其他</td>-->
<#--                        <td style="width: 300px" class="huanhang">${project.otherName!}</td>-->
<#--                        <td><input type="text" class="number" name="costOtherOtherTaxInclude1" value="${Utils.format(estimateBean.costOtherOtherTaxInclude)}" readonly></td>-->
<#--                        <td><input type="text" class="number" name="costOtherOtherTaxExclude1" value="${Utils.format(estimateBean.costOtherOtherTaxExclude)}" readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>合计</td>-->
<#--                        <td></td>-->
<#--                        <td></td>-->
<#--                        <td><input type="text" class="number" name="costTotalTaxInclude1" value="${Utils.format(estimateBean.costTotalTaxInclude)}" readonly readonly title="此列累计"></td>-->
<#--                        <td><input type="text" class="number" name="costTotalTaxExclude1" value="${Utils.format(estimateBean.costTotalTaxExclude)}" readonly readonly title="此列累计"></td>-->
<#--                    </tr>-->
<#--                    </tbody>-->
<#--                </table>-->
<#--                <span>管理</span>-->
<#--                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                    <tbody>-->
<#--                    <tr>-->
<#--                        <td>类别</td>-->
<#--                        <td>费用项目</td>-->
<#--                        <td>不含税金额（元）</td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>财务费用</td>-->
<#--                        <td>资金占用成本</td>-->
<#--                        <td><input type="text" class="number" name="costExpropriationTaxExclude1" value="${Utils.format(estimateBean.costExpropriationTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>公司管理费用</td>-->
<#--                        <td></td>-->
<#--                        <td><input type="text" class="number" name="costCompanyManageTaxExclude1" value="${Utils.format(estimateBean.costCompanyManageTaxExclude)}" required readonly></td>-->
<#--                    </tr>-->
<#--                    </tbody>-->
<#--                </table>-->

<#--                <span>利润率计算</span>-->
<#--                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">-->
<#--                    <tbody>-->
<#--                    <tr>-->
<#--                        <td>类别</td>-->
<#--                        <td></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>项目毛利（元）</td>-->
<#--                        <td><input type="text" class="number" name="projectGrossProfit1" value="${Utils.format(estimateBean.projectGrossProfit)}" readonly title="收入总计（不含税）-成本总计（不含税）-财务费用总计（不含税）"></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>项目毛利率（%）</td>-->
<#--                        <td><input type="text" class="number" name="projectGrossProfitRate1" value="${Utils.format(estimateBean.projectGrossProfitRate)}" readonly title="毛利（不含税）/收入总计（不含税）"></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>项目贡献利润（元）</td>-->
<#--                        <td><input type="text" class="number" name="projectContributionProfit1" value="${Utils.format(estimateBean.projectContributionProfit)}" readonly title="项目毛利（不含税）-公司管理费用总计（不含税）"></td>-->
<#--                    </tr>-->
<#--                    <tr>-->
<#--                        <td>项目贡献利润率（%）</td>-->
<#--                        <td><input type="text" class="number" name="projectContributionProfitRate1" value="${Utils.format(estimateBean.projectContributionProfitRate)}" readonly title="贡献利润（不含税）/收入总计（不含税）"></td>-->
<#--                    </tr>-->
<#--                    </tbody>-->
<#--                </table>-->
<#--            </div>-->
<#--            <!--验证表单元素（validate end&ndash;&gt;-->
<#--        </div>-->

        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab3">
                <div class="am-modal-bd">
                    <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;" id="incomeTable">
                        <tbody>
                        <tr>
                            <td>序号</td>
                            <td>类别</td>
                            <td>名称</td>
                            <td>单位</td>
                            <td>数量</td>
                            <td>单价</td>
                            <td>税率（%）</td>
                            <td>含税总金额（元）</td>
                            <td>不含税金额（元）</td>
                            <td>税金（元）</td>
                            <td>操作</td>
                        </tr>

                        <#if incomeDetails??>
                            <#list incomeDetails as incomeDetail>
                                <tr>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-budget-num" value="${(incomeDetail_index+1)!}" readonly></td>
                                    <td>
                                        <select style="width: 80px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-income">
                                            <option value="1" <#if incomeDetail.type == 1>selected</#if>>设备类</option>
                                            <option value="2" <#if incomeDetail.type == 2>selected</#if>>工程类</option>
                                            <option value="3" <#if incomeDetail.type == 3>selected</#if>>服务类</option>
                                        </select>
                                    </td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income" value="${incomeDetail.name!}"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income" value="${incomeDetail.unit!}"></td>
                                    <td><input type="number" min="0" max="99999999" step="1" maxlength="8" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-amount input-changeable-amount-income" value="${incomeDetail.amount!0}" oninput="if(value.length>8)value=value.slice(0,8)" <#--onkeyup="integerNumber(this)"-->></td>
                                    <td><input type="text" maxlength="19" class="price am-modal-prompt-input am-modal-prompt-input-income input-changeable-price input-changeable-price-income" value="${Utils.format2(incomeDetail.price,'0')}" oninput="if(value.length>19)value=value.slice(0,19)"></td>
                                    <td><input type="text" maxlength="5" class="number am-modal-prompt-input am-modal-prompt-input-income input-changeable-tax-rate input-changeable-tax-rate-income" value="${Utils.format(incomeDetail.taxRate,'0')}" oninput="if(value.length>5)value=value.slice(0,5)"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-tax-include input-changeable-total-tax-include-income" value="${Utils.format(incomeDetail.totalTaxInclude,'0')}" readonly></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-tax-exclude input-changeable-total-tax-exclude-income" value="${Utils.format(incomeDetail.totalTaxExclude,'0')}" readonly></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-tax input-changeable-total-tax-income" value="${Utils.format(incomeDetail.totalTax,'0')}" readonly></td>
                                    <td><button type="button" style="margin-top: 10px" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete"><span class="am-icon-minus"></span></button></td>
                                </tr>
                            </#list>
                        </#if>
                        <tr class="total-new" id="incomeTotal">
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income" value="总计" readonly></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-amount-income" value="${incomeTotalAmount!0}" readonly <#--onkeyup="integerNumber(this)"-->></td>
                            <td></td>
                            <td></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-total-tax-include-income" value="${Utils.format(budgetBean.incomeTotalTaxInclude,'0')}" readonly></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-total-tax-exclude-income" value="${Utils.format(budgetBean.incomeTotalTaxExclude,'0')}" readonly></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-income input-changeable-total-total-tax-income" value="${Utils.format(budgetBean.incomeTotalTax,'0')}" readonly></td>
                            <td></td>
                        </tr>

                        </tbody>
                    </table>
                    <button type="button" id="incomeAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>
                </div>
                <div class="am-modal-footer">
                    <#--<span class="am-modal-btn" data-am-modal-cancel>取消</span>-->
                    <span class="am-modal-btn" data-am-modal-confirm id="incomeTableSave">保存</span>
                </div>
            </div>
        </div>

        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab4">
                <div class="am-modal-bd">
                    <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;" id="costTable">
                        <tbody>
                        <tr>
                            <td>序号</td>
                            <td>大类</td>
                            <td>类别</td>
                            <td>名称</td>
                            <td>单位</td>
                            <td>数量</td>
                            <td>单价</td>
                            <td>税率（%）</td>
                            <td>含税总金额（元）</td>
                            <td>不含税金额（元）</td>
                            <td>税金（元）</td>
                            <td>操作</td>
                        </tr>

                        <#if costDetails??>
                            <#list costDetails as costDetail>
                                <tr>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-budget-num" value="${(costDetail_index+1)!}" readonly></td>
                                    <td>
                                        <select style="width: 100px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-cost am-modal-prompt-input-cost-type">
                                            <option value="1" <#if costDetail.type == 1>selected</#if>>设备</option>
                                            <option value="2" <#if costDetail.type == 2>selected</#if>>施工</option>
                                            <option value="3" <#if costDetail.type == 3>selected</#if>>服务</option>
                                            <option value="4" <#if costDetail.type == 4>selected</#if>>其他</option>
                                        </select>
                                    </td>
                                    <td>
                                        <select style="width: 180px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-cost am-modal-prompt-input-cost-category">
                                            <#--<option value="1" <#if costDetail.category == 1>selected</#if>>华智产品</option>
                                            <option value="2" <#if costDetail.category == 2>selected</#if>>紫光其他产品</option>
                                            <option value="3" <#if costDetail.category == 3>selected</#if>>外购产品</option>
                                            <option value="4" <#if costDetail.category == 4>selected</#if>>外购工程</option>
                                            <option value="5" <#if costDetail.category == 5>selected</#if>>华智服务</option>
                                            <option value="6" <#if costDetail.category == 6>selected</#if>>紫光其他服务</option>
                                            <option value="7" <#if costDetail.category == 7>selected</#if>>外购服务</option>
                                            <option value="8" <#if costDetail.category == 8>selected</#if>>其他</option>-->
                                            <#list procurementTypes as procurementType>
                                                <option value="${procurementType.id}" <#if costDetail.category == procurementType.id>selected</#if>>${procurementType.name}</option>
                                            </#list>
                                        </select>
                                    </td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost" value="${costDetail.name!}"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost" value="${costDetail.unit!}"></td>
                                    <td><input type="number" min="0" max="99999999" step="1" maxlength="8" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-amount input-changeable-amount-cost" value="${costDetail.amount!0}" oninput="if(value.length>8)value=value.slice(0,8)" <#--onkeyup="integerNumber(this)"-->></td>
                                    <td><input type="text" maxlength="19" class="price am-modal-prompt-input am-modal-prompt-input-cost input-changeable-price input-changeable-price-cost" value="${Utils.format2(costDetail.price,'0')}" oninput="if(value.length>19)value=value.slice(0,19)"></td>
                                    <td><input type="text" maxlength="5" class="number am-modal-prompt-input am-modal-prompt-input-cost input-changeable-tax-rate input-changeable-tax-rate-cost" value="${Utils.format(costDetail.taxRate,'0')}" oninput="if(value.length>5)value=value.slice(0,5)"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-tax-include input-changeable-total-tax-include-cost" value="${Utils.format(costDetail.totalTaxInclude,'0')}" readonly></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-tax-exclude input-changeable-total-tax-exclude-cost" value="${Utils.format(costDetail.totalTaxExclude,'0')}" readonly></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-tax input-changeable-total-tax-cost" value="${Utils.format(costDetail.totalTax,'0')}" readonly></td>
                                    <td><button type="button" style="margin-top: 10px" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete"><span class="am-icon-minus"></span></button></td>
                                </tr>
                            </#list>
                        </#if>
                        <tr class="total-new" id="costTotal">
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost" value="总计" readonly></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-amount-cost" value="${costTotalAmount!0}" readonly <#--onkeyup="integerNumber(this)"-->></td>
                            <td></td>
                            <td></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-total-tax-include-cost" value="${Utils.format(budgetBean.costPurchaseTotalTaxInclude,'0')}" readonly></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-total-tax-exclude-cost" value="${Utils.format(budgetBean.costPurchaseTotalTaxExclude,'0')}" readonly></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost input-changeable-total-total-tax-cost" value="${Utils.format(budgetBean.costPurchaseTotalTax,'0')}" readonly></td>
                            <td></td>
                        </tr>

                        </tbody>
                    </table>
                    <button type="button" style="margin-top: 10px" id="costAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>
                </div>
                <div class="am-modal-footer">
                    <#--<span class="am-modal-btn" data-am-modal-cancel>取消</span>-->
                    <span class="am-modal-btn" data-am-modal-confirm id="costTableSave">保存</span>
                </div>
            </div>
        </div>

        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab5">
                <div class="am-modal-bd">
                    <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;" id="costProjectManageTable">
                        <tbody>
                        <tr>
                            <td>序号</td>
                            <td>财务费用类别</td>
                            <td>业务项目</td>
                            <td>项目明细</td>
                            <td>单位</td>
                            <td>数量</td>
                            <td>单价</td>
                            <td>总金额（元）</td>
                            <td>预估计算方法</td>
                            <td>预估依据</td>
                            <td>备注</td>
                            <td>操作</td>
                        </tr>
                        <#if costProjectManageDetails??>
                            <#list costProjectManageDetails as costProjectManageDetail>
                                <tr>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-budget-num" value="${(costProjectManageDetail_index+1)!}" readonly></td>
                                    <td>
                                        <select style="width: 180px;float: left;" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage am-modal-prompt-input-cost-project-manage-type">
                                            <option value="1" <#if costProjectManageDetail.type == 1>selected</#if>>人工成本</option>
                                            <option value="2" <#if costProjectManageDetail.type == 2>selected</#if>>业务费用</option>
                                            <option value="3" <#if costProjectManageDetail.type == 3>selected</#if>>其他费用</option>
                                        </select>
                                    </td>
                                    <td>
                                        <select <#if costProjectManageDetail.isDiy == 1>style="display:none"<#else>style="width: 180px;float: left;"</#if> class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage am-modal-prompt-input-cost-project-manage-category">
                                            <#if costProjectManageDetail.type == 1>
                                            <option value="1" <#if costProjectManageDetail.name == "人工费">selected</#if>>人工费</option>
                                            <option value="2" <#if costProjectManageDetail.name == "总部支撑人力费用">selected</#if>>总部支撑人力费用</option>
                                            <option value="3" <#if costProjectManageDetail.name == "自定义">selected</#if>>自定义</option>
                                            </#if>
                                            <#if costProjectManageDetail.type == 2>
                                            <option value="4" <#if costProjectManageDetail.name == "人员差旅费">selected</#if>>人员差旅费</option>
                                            <option value="5" <#if costProjectManageDetail.name == "业务费用">selected</#if>>业务费用</option>
                                            <option value="6" <#if costProjectManageDetail.name == "商务及专项验收费用">selected</#if>>商务及专项验收费用</option>
                                            <option value="7" <#if costProjectManageDetail.name == "办公费用">selected</#if>>办公费用</option>
                                            <option value="8" <#if costProjectManageDetail.name == "自定义">selected</#if>>自定义</option>
                                            </#if>
                                        </select>
                                        <input <#if costProjectManageDetail.isDiy == 1>type="text"<#else>type="hidden"</#if> class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage am-modal-prompt-input-cost-project-manage-category2" value="${costProjectManageDetail.name!}">
                                    </td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.detail!}"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.unit!}"></td>
                                    <td><input type="number" min="0" max="99999999" step="1" maxlength="8" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-amount-project-manage" value="${costProjectManageDetail.amount!0}" <#--onkeyup="integerNumber(this)"--> oninput="if(value.length>8)value=value.slice(0,8)"></td>
                                    <td><input type="text" maxlength="19" class="price am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-price-project-manage" value="${Utils.format2(costProjectManageDetail.price,'0')}" oninput="if(value.length>19)value=value.slice(0,19)"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-total-project-manage" value="${Utils.format(costProjectManageDetail.total,'0')}" readonly></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.predictMethod!}"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.predictWhy!}"></td>
                                    <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.remark!}"></td>
                                    <td><button type="button" style="margin-top: 10px" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete"><span class="am-icon-minus"></span></button>
                                        <input type="hidden" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="${costProjectManageDetail.deletable!}">
                                    </td>
                                </tr>
                            </#list>
                        </#if>
                        <tr class="total-new" id="manageTotal">
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage" value="总计" readonly></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><input type="number" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-total-amount-project-manage" value="${costProjectManageTotalAmount!0}" readonly <#--onkeyup="integerNumber(this)"-->></td>
                            <td></td>
                            <td><input type="text" class="am-modal-prompt-input am-modal-prompt-input-cost-project-manage input-changeable-total-total-project-manage" value="${Utils.format(budgetBean.costProjectManageTaxInclude,'0')}" readonly></td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td></td>
                        </tr>

                        </tbody>
                    </table>
                    <button type="button" id="costProjectManageAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>
                </div>
                <div>
                    备注：本表展示不含税金额
                </div>
                <div class="am-modal-footer">
                    <#--<span class="am-modal-btn" data-am-modal-cancel>取消</span>-->
                    <span class="am-modal-btn" data-am-modal-confirm id="costProjectManageTableSave">保存</span>
                </div>
            </div>
        </div>

        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab6">
                <div class="am-modal-bd">
                    <input type="hidden" id="planStartDate" name="planStartDate" value='${planStartDate!""}'/>
                    <input type="hidden" id="planEndDate" name="planEndDate" value='${planEndDate!""}'/>
                    <td width="700px">
                        <div class="am-u-sm-10">
                            <div class="am-form am-form-inline">
                                <div class="am-form-group am-form-icon">
                                    <input type="text" id="planStartStr" name="planStartStr" placeholder="项目开始月份(请选择)" autocomplete="off" readonly value="${planStartStr!}">
                                </div>
                                <div class="am-form-group">至</div>
                                <div class="am-form-group am-form-icon">
                                    <input type="text" id="planEndStr" name="planEndStr" placeholder="项目结束月份(请选择)" autocomplete="off" readonly value="${planEndStr!}">
                                </div>
                                <div class="am-form-group">必填</div>
                            </div>
                        </div>
                    </td>
                    <table class="am-table table-main" style="display: block;border-collapse: collapse;width: 1700px;overflow-x: scroll;padding:0;" id="budgetPlanDetailTable">
                        <thead style="display: inline-block;overflow-x: scroll;width: 200px;">
                        <tr style="display: inline-block;">
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="月份" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="设备支出" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="工程支出（含服务+施工+其他）" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="经营性开支" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="保证金支出" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="支出合计" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="销售收款" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="保证金收款" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="收款合计" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="资金余额" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="资金利息" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="垫资计划" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><input type="text" class="am-modal-prompt-input" value="还款计划" readonly></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><button type="button" class="am-btn am-btn-xs am-round am-modal-line-delete-budget-plan" disabled="disabled"><span class="am-icon-minus"></span></button></td>
                        </tr>
                        </thead>
                        <tbody style="display: inline-block;overflow-x: scroll;width: calc(100% - 210px);white-space: nowrap;">
                        <tr style="display: inline-block;">
                            <td style="display: block;"><input type="text" class="am-modal-prompt-input input-total-title-month-budget-plan" value="${projectBudgetPlanDetailTotalTitle.month}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-device-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.deviceCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-engineer-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.engineerCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-project-manage-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.projectManageCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-earnest-money-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.earnestMoneyCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-total-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.totalCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-sale-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.saleIncome)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-earnest-money-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.earnestMoneyIncome)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-total-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.totalIncome)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-fund-balance-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.fundBalance)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-capital-interest-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.capitalInterest)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-underwritten-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.underwrittenPlan)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-title-repayment-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotalTitle.repaymentPlan)}" readonly/></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><button type="button" class="am-btn am-btn-xs am-round am-modal-line-delete-budget-plan" disabled="disabled"><span class="am-icon-minus"></span></button></td>
                        </tr>
                        <tr id="firstBlock" class="am-hide" style="display: inline-block;">
                            <td style="display: block;"><input type="text" class="am-modal-prompt-input input-total-month-budget-plan" value="${projectBudgetPlanDetailTotal.month}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-device-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.deviceCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-engineer-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.engineerCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-project-manage-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.projectManageCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-earnest-money-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.earnestMoneyCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-total-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.totalCost)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-sale-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.saleIncome)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-earnest-money-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.earnestMoneyIncome)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-total-income-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.totalIncome)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-fund-balance-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.fundBalance)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-capital-interest-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.capitalInterest)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-underwritten-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.underwrittenPlan)}" readonly/></td>
                            <td style="display: block;"><input type="text" class="number am-modal-prompt-input input-total-repayment-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetailTotal.repaymentPlan)}" readonly/></td>
                            <td style="display: block;border-top: 1px solid #ddd;"><button type="button" class="am-btn am-btn-xs am-round am-modal-line-delete-budget-plan" disabled="disabled"><span class="am-icon-minus"></span></button></td>
                        </tr>

                        <#if projectBudgetPlanDetails??>
                            <#list projectBudgetPlanDetails as projectBudgetPlanDetail>
                                <tr style="display: inline-block;">
                                    <td style="display: block;"><input type="text" class="am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-month-budget-plan" value="${projectBudgetPlanDetail.month!}" readonly></td>
                                    <td style="display: block;"><input type="text" oninput="if(value.length>16)value=value.slice(0,16)" maxlength="16" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-device-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.deviceCost)}"></td>
                                    <td style="display: block;"><input type="text" oninput="if(value.length>16)value=value.slice(0,16)" maxlength="16" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-engineer-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.engineerCost)}"></td>
                                    <td style="display: block;"><input type="text" oninput="if(value.length>16)value=value.slice(0,16)" maxlength="16" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-project-manage-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.projectManageCost)}"></td>
                                    <td style="display: block;"><input type="text" oninput="if(value.length>16)value=value.slice(0,16)" maxlength="16" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-earnest-money-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.earnestMoneyCost)}"></td>
                                    <td style="display: block;"><input type="text" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-total-cost-budget-plan" value="${Utils.format(projectBudgetPlanDetail.totalCost)}" readonly></td>
                                    <td style="display: block;"><input type="text" oninput="if(value.length>16)value=value.slice(0,16)" maxlength="16" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-sale-income-budget-plan" value="${Utils.format(projectBudgetPlanDetail.saleIncome)}"></td>
                                    <td style="display: block;"><input type="text" oninput="if(value.length>16)value=value.slice(0,16)" maxlength="16" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-earnest-money-income-budget-plan" value="${Utils.format(projectBudgetPlanDetail.earnestMoneyIncome)}"></td>
                                    <td style="display: block;"><input type="text" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-total-income-budget-plan" value="${Utils.format(projectBudgetPlanDetail.totalIncome)}" readonly></td>
                                    <td style="display: block;"><input type="text" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-fund-balance-budget-plan" value="${Utils.format(projectBudgetPlanDetail.fundBalance)}" readonly></td>
                                    <td style="display: block;"><input type="text" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-capital-interest-budget-plan" value="${Utils.format(projectBudgetPlanDetail.capitalInterest)}" readonly></td>
                                    <td style="display: block;"><input type="text" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-underwritten-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetail.underwrittenPlan)}" readonly></td>
                                    <td style="display: block;"><input type="text" class="number am-modal-prompt-input am-modal-prompt-input-budget-plan-detail input-changeable-repayment-plan-budget-plan" value="${Utils.format(projectBudgetPlanDetail.repaymentPlan)}" readonly></td>
                                    <td style="display: block;"><button type="button" class="am-btn am-btn-danger am-btn-xs am-round am-modal-line-delete-budget-plan"><span class="am-icon-minus"></span></button></td>
                                </tr>
                            </#list>
                        </#if>

                        </tbody>
                    </table>
<#--                    <button type="button" id="budgetPlanDetailAddBtn" class="am-btn am-btn-primary am-btn-xs am-round"><span class="am-icon-plus"></span></button>-->

                    <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                        <tbody>
                        <tr>
                            <td>垫资峰值时间</td>
                            <td>垫资峰值金额</td>
                            <td>利率</td>
                            <td>资金利息</td>
                        </tr>
                        <tr>
                            <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-max-month-budget-plan" value="${underwrittenPlanStatistic.maxMonth!}" readonly/></td>
                            <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-amount-budget-plan" value="${Utils.format(underwrittenPlanStatistic.amount,'')}" readonly/></td>
                            <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-tax-rate-budget-plan" value="${Utils.format(project.underwrittenTaxRate,'')}" readonly/></td>
                            <td><input type="text" class="am-modal-prompt-input input-underwritten-plan-statistic-capital-interest-budget-plan" value="${Utils.format(underwrittenPlanStatistic.capitalInterest,'')}" readonly/></td>
                        </tr>
                        </tbody>
                    </table>

                </div>
                <div class="am-modal-footer">
                    <#--<span class="am-modal-btn" data-am-modal-cancel>取消</span>-->
                    <span class="am-modal-btn" data-am-modal-confirm id="budgetPlanDetailTableSave">保存</span>
                </div>
            </div>
        </div>

        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab7">
                <span>收入</span>
               <#-- <span class="am-text-primary"><a style="cursor: pointer" id="income-detail">收入明细表</a></span>-->
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr>
                        <td>类别</td>
                        <td>费用</td>
                        <td>含税金额（元）</td>
                        <td>不含税金额（元）</td>
                        <td>税金（元）</td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>设备类</td>
                        <td><input type="text" class="number" name="incomeDeviceTaxInclude" value="${Utils.format(budgetBean.incomeDeviceTaxInclude,'0')}" required readonly title="设备类含税总额"></td>
                        <td><input type="text" class="number" name="incomeDeviceTaxExclude" value="${Utils.format(budgetBean.incomeDeviceTaxExclude,'0')}" required readonly title="设备类不含税总额"></td>
                        <td><input type="text" class="number" name="incomeDeviceTax" value="${Utils.format(budgetBean.incomeDeviceTax,'0')}" required readonly title="设备类税金"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>工程类</td>
                        <td><input type="text" class="number" name="incomeEngineerTaxInclude" value="${Utils.format(budgetBean.incomeEngineerTaxInclude,'0')}" required readonly title="工程类含税总额"></td>
                        <td><input type="text" class="number" name="incomeEngineerTaxExclude" value="${Utils.format(budgetBean.incomeEngineerTaxExclude,'0')}" required readonly title="工程类不含税总额"></td>
                        <td><input type="text" class="number" name="incomeEngineerTax" value="${Utils.format(budgetBean.incomeEngineerTax,'0')}" required readonly title="工程类税金"></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>服务类</td>
                        <td><input type="text" class="number" name="incomeServiceTaxInclude" value="${Utils.format(budgetBean.incomeServiceTaxInclude,'0')}" required readonly title="服务类含税总额"></td>
                        <td><input type="text" class="number" name="incomeServiceTaxExclude" value="${Utils.format(budgetBean.incomeServiceTaxExclude,'0')}" required readonly title="服务类不含税总额"></td>
                        <td><input type="text" class="number" name="incomeServiceTax" value="${Utils.format(budgetBean.incomeServiceTax,'0')}" required readonly title="服务类税金"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input type="text" class="number" name="incomeTotalTaxInclude" value="${Utils.format(budgetBean.incomeTotalTaxInclude,'0')}" readonly required title="此列累计"></td>
                        <td><input type="text" class="number" name="incomeTotalTaxExclude" value="${Utils.format(budgetBean.incomeTotalTaxExclude,'0')}" readonly required title="此列累计"></td>
                        <td><input type="text" class="number" name="incomeTotalTax" value="${Utils.format(budgetBean.incomeTotalTax,'0')}" required readonly title="此列累计"></td>
                    </tr>
                    </tbody>
                    (备注：本表所用税率为：<span class="incomeTaxRates">${incomeTaxRates!}</span>)
                </table>
                <span>成本</span>
               <#-- <span class="am-text-primary"><a style="cursor: pointer"  id="cost-detail">采购成本明细表</a></span>
                <span class="am-text-primary"><a style="cursor: pointer"  id="cost-project-manage-detail">项目管理成本表</a></span>-->
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr>
                        <td>类别</td>
                        <td>费用</td>
                        <td>费用项目</td>
                        <td>含税金额（元）</td>
                        <td>不含税金额（元）</td>
                        <td>税金（元）</td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>设备</td>
                        <td><input type="text" class="number" name="costPurchaseDeviceTaxInclude" value="${Utils.format(budgetBean.costPurchaseDeviceTaxInclude,'0')}" readonly required title="购买设备含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseDeviceTaxExclude" value="${Utils.format(budgetBean.costPurchaseDeviceTaxExclude,'0')}" readonly required title="购买设备不含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseDeviceTax" value="${Utils.format(budgetBean.costPurchaseDeviceTax,'0')}" readonly required title="购买设备税金"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>施工</td>
                        <td><input type="text" class="number" name="costPurchaseBuildTaxInclude" value="${Utils.format(budgetBean.costPurchaseBuildTaxInclude,'0')}" readonly required title="购买施工含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseBuildTaxExclude" value="${Utils.format(budgetBean.costPurchaseBuildTaxExclude,'0')}" readonly required title="购买施工不含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseBuildTax" value="${Utils.format(budgetBean.costPurchaseBuildTax,'0')}" readonly required title="购买施工税金"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>服务</td>
                        <td><input type="text" class="number" name="costPurchaseServiceTaxInclude" value="${Utils.format(budgetBean.costPurchaseServiceTaxInclude,'0')}" readonly required title="购买服务含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseServiceTaxExclude" value="${Utils.format(budgetBean.costPurchaseServiceTaxExclude,'0')}" readonly required title="购买服务不含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseServiceTax" value="${Utils.format(budgetBean.costPurchaseServiceTax,'0')}" readonly required title="购买服务税金"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>其他</td>
                        <td><input type="text" class="number" name="costPurchaseOtherTaxInclude" value="${Utils.format(budgetBean.costPurchaseOtherTaxInclude,'0')}" readonly required title="购买其他含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseOtherTaxExclude" value="${Utils.format(budgetBean.costPurchaseOtherTaxExclude,'0')}" readonly required title="购买其他不含税总额"></td>
                        <td><input type="text" class="number" name="costPurchaseOtherTax" value="${Utils.format(budgetBean.costPurchaseOtherTax,'0')}" readonly required title="购买其他税金"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>项目管理成本</td>
                        <td>项目管理成本</td>
                        <td><input type="text" class="number" name="costProjectManageTaxInclude" value="${Utils.format(budgetBean.costProjectManageTaxInclude,'0')}" readonly required title="项目管理成本总额含税"></td>
                        <td><input type="text" class="number" name="costProjectManageTaxExclude" value="${Utils.format(budgetBean.costProjectManageTaxExclude,'0')}" readonly required title="项目管理成本总额不含税"></td>
                        <td><input type="text" class="number" name="costProjectManageTax" value="财务计取以不含税方式核算" readonly required title="项目管理成本税金"></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>其他</td>
                        <td><input type="text" id="otherName" maxlength="50" data-validate-async data-validation-message="请输入其他中的小类名称（50字符以内）"
                                   value="${project.otherName!}" name="otherName" placeholder="请输入其他中的小类名称（50字符以内）"/> </td>
                        <td><input type="text" class="number" maxlength="16" name="costOtherOtherTaxInclude" value="${Utils.format(budgetBean.costOtherOtherTaxInclude,'0')}" title="其他含税总额（填入）"></td>
                        <td><input type="text" class="number" maxlength="16" name="costOtherOtherTaxExclude" value="${Utils.format(budgetBean.costOtherOtherTaxExclude,'0')}" title="其他不含税总额（填入）"></td>
                        <td><input type="text" class="number" maxlength="16" name="costOtherOtherTax" value="${Utils.format(budgetBean.costOtherOtherTax,'0')}" title="其他税金"></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td></td>
                        <td><input type="text" class="number" name="costTotalTaxInclude" value="${Utils.format(budgetBean.costTotalTaxInclude,'0')}" readonly required title="此列累计"></td>
                        <td><input type="text" class="number" name="costTotalTaxExclude" value="${Utils.format(budgetBean.costTotalTaxExclude,'0')}" readonly required title="此列累计"></td>
                        <td><input type="text" class="number" name="costTotalTax" value="${Utils.format(budgetBean.costTotalTax,'0')}" readonly required title="此列累计"></td>
                    </tr>
                    </tbody>
                    (备注：本表所用税率为：<span class="costTaxRates">${costTaxRates!}</span>)
                </table>
                <span>管理</span>
                <#--<span class="am-text-primary budget-plan-detail"><a style="cursor: pointer">资金计划表</a></span>-->
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr>
                        <td>类别</td>
                        <td>费用项目</td>
                        <td>不含税金额（元）</td>
                    </tr>
                    <tr>
                        <td>财务费用</td>
                        <td>资金占用成本</td>
                        <td><input type="text" class="number" name="costExpropriationTaxExclude" value="${Utils.format(budgetBean.costExpropriationTaxExclude,'0')}" required readonly title="资金占用成本不含税总额"></td>
                    </tr>
                    <tr>
                        <td>公司管理费用</td>
                        <td></td>
                        <td><input type="text" class="number" maxlength="16" name="costCompanyManageTaxExclude" value="${Utils.format(budgetBean.costCompanyManageTaxExclude,'0')}" readonly required title="公司管理费用不含税总额"></td>
                    </tr>
                    </tbody>
                    (备注：财务记取以不含税方式核算)
                </table>

                <span>利润率计算</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr>
                        <td>类别</td>
                        <td>利润率(%)</td>
                        <td>不含税金额(元)</td>
                        <td>计算方式</td>
                    </tr>
                    <tr>
                        <td>项目毛利（元）</td>
                        <td><input type="text" class="number" name="projectGrossProfitRate" value="${Utils.format(budgetBean.projectGrossProfitRate,'0')}" readonly required title="毛利（不含税）/收入总计（不含税）"></td>
                        <td><input type="text" class="number" name="projectGrossProfit" value="${Utils.format(budgetBean.projectGrossProfit,'0')}" readonly required title="收入总计（不含税）-成本总计（不含税）-财务费用总计（不含税）"></td>
                        <td>毛利=收入总计(不含税)-成本总计(不含税)-财务费用总计(不含税)</td>
                    </tr>
                    <tr>
                        <td>项目贡献利润（元）</td>
                        <td><input type="text" class="number" name="projectContributionProfitRate" value="${Utils.format(budgetBean.projectContributionProfitRate,'0')}" readonly required title="贡献利润（不含税）/收入总计（不含税）"></td>
                        <td><input type="text" class="number" name="projectContributionProfit" value="${Utils.format(budgetBean.projectContributionProfit,'0')}" readonly required title="项目毛利（不含税）-公司管理费用总计（不含税）"></td>
                        <td>贡献利润=项目毛利(不含税)-公司管理费用总计(不含税)</td>
                    </tr>
                    </tbody>
                </table>

                <span>现金流量表</span>
                <#--<span class="am-text-primary budget-plan-detail"><a style="cursor: pointer">资金计划表</a></span>-->
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr>
                        <td>类别</td>
                        <td>金额（元）</td>
                        <td>计算方式</td>
                    </tr>
                    <tr>
                        <td>销售商品、提供劳务收到的现金<#--a--></td>
                        <td><input type="text" class="number" name="saleIncomeCash" value="${Utils.format(cashFlowBean.saleIncomeCash,'0')}" readonly required title="取自资金计划表（销售收款）"></td>
                        <td>从资金计划表查(销售收款)</td>
                    </tr>
                    <tr>
                        <td>收到的税费返还<#--b--></td>
                        <td>/<input type="hidden" name="taxReturn" value="${Utils.format(cashFlowBean.taxReturn,'0')}" readonly required></td>
                        <td>/</td>
                    </tr>
                    <tr>
                        <td>收到其他与经营活动有关的现金<#--c--></td>
                        <td><input type="text" class="number" name="earnestMoneyIncome" value="${Utils.format(cashFlowBean.earnestMoneyIncome,'0')}" readonly required title="取自资金计划表（保证金收款）"></td>
                        <td>从资金计划表查(保证金收款)</td>
                    </tr>
                    <tr>
                        <td>购买商品、接受劳务支付的现金<#--d--></td>
                        <td><input type="text" class="number" name="purchaseCost" value="${Utils.format(cashFlowBean.purchaseCost,'0')}" readonly required title="取自资金计划表（设备支出+工程支出）"></td>
                        <td>从资金计划表查(设备支出+工程支出)</td>
                    </tr>
                    <tr>
                        <td>支付的各项税费<#--e--></td>
                        <td>/<input type="hidden" name="taxCost" value="${Utils.format(cashFlowBean.taxCost,'0')}" readonly required></td>
                        <td>/</td>
                    </tr>
                    <tr>
                        <td>支付其他与经营活动有关的现金<#--f--></td>
                        <td><input type="text" class="number" name="earnestMoneyCost" value="${Utils.format(cashFlowBean.earnestMoneyCost,'0')}" readonly required title="取自资金计划表（经营性开支+保证金支出+资金利息）"></td>
                        <td>从资金计划表查(经营性开支+保证金支出+资金利息)</td>
                    </tr>
                    <tr>
                        <td>经营活动产生的现金流量净额<#--g--></td>
                        <td><input type="text" class="number" name="netCashFlow" value="${Utils.format(cashFlowBean.netCashFlow,'0')}" readonly required title="g=a+c+b-d-f-e"></td>
                        <td>销售商品、提供劳务收到的现金+收到的税费返还+收到其他与经营活动有关的现金-购买商品、接受劳务支付的现金-支付的各项税费-支付其他与经营活动有关的现金</td>
                    </tr>
                    <tr>
                        <td>投资活动现金流入<#--h--></td>
                        <td>/<input type="hidden" name="cashInflowFromInvestingActivities" value="${Utils.format(cashFlowBean.cashInflowFromInvestingActivities,'0')}" readonly required></td>
                        <td>/</td>
                    </tr>
                    <tr>
                        <td>投资活动现金流出<#--i--></td>
                        <td>/<input type="hidden" name="cashOutflowFromInvestingActivities" value="${Utils.format(cashFlowBean.cashOutflowFromInvestingActivities,'0')}" readonly required></td>
                        <td>/</td>
                    </tr>
                    <tr>
                        <td>投资活动产生的现金流量净额<#--j--></td>
                        <td>/<input type="hidden" name="netCashFromInvestingActivities" value="${Utils.format(cashFlowBean.netCashFromInvestingActivities,'0')}" readonly required></td>
                        <td>/</td>
                    </tr>
                    <tr>
                        <td>融资资金流入<#--k--></td>
                        <td><input type="text" class="number" name="financingCapitalInflow" value="${Utils.format(cashFlowBean.financingCapitalInflow,'0')}" readonly required title="从资金计划表查（垫资计划）"></td>
                        <td>从资金计划表查(垫资计划)</td>
                    </tr>
                    <tr>
                        <td>还款资金流出<#--l--></td>
                        <td><input type="text" class="number" name="financingCapitalOutflow" value="${Utils.format(cashFlowBean.financingCapitalOutflow,'0')}" readonly required title="从资金计划表查（还款计划）"></td>
                        <td>从资金计划表查(还款计划)</td>
                    </tr>
                    <tr>
                        <td>筹资活动产生的现金流量净额<#--m--></td>
                        <td><input type="text" class="number" name="financingCapitalCashflow" value="${Utils.format(cashFlowBean.financingCapitalCashflow,'0')}" readonly required title="m=k-l"></td>
                        <td>融资资金流入-还款资金流出</td>
                    </tr>
                    <tr>
                        <td>货币资金净增加额<#--n--></td>
                        <td><input type="text" class="number" name="netIncreaseMonetaryFunds" value="${Utils.format(cashFlowBean.netIncreaseMonetaryFunds,'0')}" readonly required title="n=g+j+m"></td>
                        <td>经营活动产生的现金流量净额+投资活动产生的现金流量净额+筹资活动产生的现金流量净额</td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <!--验证表单元素（validate end-->
        </div>
    </div>
    </div>

    <!--选项卡（tabs）end-->
    <div class="am-margin">
        <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
        <button type="button" class="am-btn am-btn-primary am-btn-xs" id="saveDraft">保存草稿</button>
        <button type="button" class="am-btn am-btn-primary am-btn-xs" id="saveApprove">提交审核</button>
    </div>
</form>

</div>
</div>
<script>
    var base = "${base}";
</script>
<script src="${base}/layui/layui.js"></script>
<script src="${base}/assets/js/project_common.js"></script>
<script src="${base}/assets/js/project_budget.js"></script>
<script src="${base}/assets/js/project_budget_income.js"></script>
<script src="${base}/assets/js/project_budget_cost.js"></script>
<script src="${base}/assets/js/project_budget_cost_project_manage.js"></script>
<script src="${base}/assets/js/project_budget_plan.js"></script>
<script src="../common/jQuery-File-Upload/js/vendor/jquery.ui.widget.js"></script>
<script type="text/javascript" src="../common/jQuery-File-Upload/js/jquery.iframe-transport.js"></script>
<script type="text/javascript" src="../common/jQuery-File-Upload/js/jquery.fileupload.js"></script>
<script src="../common/jQuery-File-Upload/js/jquery.fileupload-process.js"></script>
<script src="../common/jQuery-File-Upload/js/jquery.fileupload-validate.js"></script>
    <script>
        var changeCheck = function () {
            var underwrittenMode = $("#underwrittenMode").val();
            if (underwrittenMode == 1) {
                $("#coop").show();
            } else {
                $("#coop").hide();
            }
        };

        var generateFileupload = function (name) {
            var progressArea = $("#progress-area-" + name);//div
            var progressText = $("#progress-text-" + name);//进度条提示
            var progressBar = $(".am-progress-bar");//进度条

            $("#file_upload_icon").fileupload({
                url: "${base}/file/upload",
                dataType: 'json',
                maxFileSize: 50 * 1024 * 1024,
                maxNumberOfFiles: 1,
                start: function (e) {
                    progressArea.removeClass("am-hide");
                    progressText.removeClass("am-text-danger");
                    progressText.html("");
                    progressBar.css("width", "0%");
                },
                done: function (e, data) {
                    console.log(data);
                    //设置服务器返回的url
                    $("#collaboratorUrl").val(data.result.data.url);
                    $("#collaboratorUrl_span").text(data.result.data.url);
                    // console.log("collboratorUrl: " + $("#collaboratorUrl").val());
                    setTimeout(function () {
                        progressArea.addClass("am-hide");
                    }, 1500);
                },
                progressall: function (e, data) {
                    var progress = parseInt(data.loaded / data.total * 100, 10);
                    console.log(progress);
                    progressBar.css("width", progress + "%");
                    progressText.html(progress + "%");
                },
                error: function (jqXHR2, textStatus, errorThrown) {
                    progressArea.removeClass("am-hide");
                    progressText.addClass("am-text-danger");
                    progressText.html("imageupload error！");
                    progressBar.css("width", "0%");
                    setTimeout(function () {
                        progressArea.addClass("am-hide");
                    }, 2000);
                },
                fail: function (jqXHR2, textStatus) {
                    progressArea.removeClass("am-hide");
                    progressText.addClass("am-text-danger");
                    progressText.html("imageupload fail！");
                    progressBar.css("width", "0%");
                    setTimeout(function () {
                        progressArea.addClass("am-hide");
                    }, 2000);
                },
                processfail: function (e, data) {
                    var currentFile = data.files[data.index];
                    if (data.files.error && currentFile.error) {
                        parent.layer.msg(currentFile.error);
                    }
                }
            });
        };
    </script>
</@defaultLayout.layout>















